<?php

class I24hConfig
{
    const VOD_MOVIE_PAGE_SUPPORTED = true;
    const VOD_FAVORITES_SUPPORTED = true;
    const TV_FAVORITES_SUPPORTED = true;

    const DEBUG = false;

    const CHANNEL_LIST_URL = 'v2/channels/categories?access_token=%s';
    const CHANNEL_LIST_URL_NUM = 'v2/channels/categories?access_token=%s&channels_order=num';
    const CHANNEL_USER_LIST = 'v2/users/self/channels?access_token=%s';
    const CHANNEL_URL = 'v2/channels/%s/stream?ts=%s&type=%s&access_token=%s';
    const EPG_URL_FORMAT = 'v2/channels/%s/schedule?start=%s&end=%s&access_token=%s';
    const TOPCAT_LIST_URL = 'v2/programs/filters?access_token=%s&version=2.5';
    const SUBCAT_LIST_URL = 'v2/programs/filters/%s?access_token=%s&version=2.5';
    const MOVIE_LIST_URL_FORMAT = 'v2/programs?filters=%s&access_token=%s&limit=%s&offset=%s&version=2.5';
    const MOVIE_SEARCH_URL = 'v2/search?text=%s&access_token=%s&limit=%s&offset=%s';
    const MOVIE_INFO_URL_FORMAT = 'v2/programs/%s?access_token=%s';
    const MOVIE_SERIES_URL_FORMAT = 'v2/programs/%s/schedule?access_token=%s';
    const VIDEO_GENRE_LIST = 'v2/videos/filters?version=2.5&access_token=%s';
    const VIDEO_TOP_LIST = 'v2/promotions?access_token=%s';
    const VIDEO_TOP_SERIAL_INFO = 'v2/videos/%s?access_token=%s&includes=episodes';
    const VIDEO_SERIALS_LIST = 'v2/videos?access_token=%s&filters=%s&limit=%s&offset=%s';
    const VIDEO_SERIES_LIST = 'v2/videos/%s/episodes?access_token=%s';
    const VIDEO_SERIES_LIST_LIMIT = 'v2/videos/%s/episodes?limit=%s&offset=%s&access_token=%s';
    const VIDEO_EPISODES_URL = 'v2/videos/%s/episodes/%s/stream?type=%s&access_token=%s';
    const VIDEO_SERIAL = 'v2/videos/%s?access_token=%s';
    const VIDEO_STREAM = 'v2/videos/%s/stream?type=%s&access_token=%s';
    const VIDEO_ALLOW = 'v2/users/self/subscriptions/current?includes=packet.videos&access_token=%s';
    const VIDEO_IN_PACKETS = 'v2/packets?includes=videos&access_token=%s';
    const CHANNEL_IN_PACKET = 'v2/packets?includes=includes,availables,channels&access_token=%s';
    const VOD_CATEGORIES_URL = 'http://online.dune-hd.com/i24h2/vod_categories.pl';
    const ALL_CHANNEL_GROUP_CAPTION = 'Все каналы';
    const ALL_CHANNEL_GROUP_ICON_PATH = 'http://static.24h.tv/dune/channel/All.jpg';
    const ALL_CHANNEL_GROUP_PANEL_ICON_PATH = 'http://static.24h.tv/dune/channel/PanelAll.png';
    const FAV_CHANNEL_GROUP_CAPTION = 'Избранное';
    const FAV_CHANNEL_GROUP_ICON_PATH = 'http://static.24h.tv/dune/channel/Fav.jpg';
    const FAV_CHANNEL_GROUP_PANEL_ICON_PATH = 'http://static.24h.tv/dune/channel/PanelFav.png';
    const FAV_MOVIES_CATEGORY_CAPTION = 'Избранное';
    const FAV_MOVIES_CATEGORY_ICON_PATH = 'plugin_file://icons/fav.png';
    const USE_M3U_FILE = false;
    const M3U_FILE_URL = 'http://online.dune-hd.com/i24h2/m3u/iptv.utf8.m3u';
    const M3U_ICON_FILE_URL_FORMAT = 'http://online.dune-hd.com/i24h2/m3u/%s.aai';
    const CHANNEL_SORT_FUNC_CB = 'I24hConfig::sort_channels_cb';

    public static function GET_TV_GROUP_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 4,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 350,
                    ViewParams::sandwich_height => 168,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),
                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                    ViewItemParams::item_caption_width => 1000,
                    ViewItemParams::icon_width => 320,
                    ViewItemParams::icon_height => 168,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                    ViewItemParams::item_detailed_icon_path => 'missing://',
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
        );
    }

    public static function GET_TV_CHANNEL_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 4,
                    ViewParams::paint_details => false,
                    ViewParams::sandwich_width => 350,
                    ViewParams::sandwich_height => 168,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_width => 320,
                    ViewItemParams::icon_height => 168,
//                    ViewItemParams::icon_scale_factor => 1.0,
//                    ViewItemParams::icon_sel_scale_factor => 1.2,
                    ViewItemParams::icon_keep_aspect_ratio => false,
//                    ViewItemParams::icon_width => 300,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png'
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 2,
                    ViewParams::num_rows => 15,
                    ViewParams::paint_details => true,
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all',
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -5,
                    ViewItemParams::icon_width => 84,
                    ViewItemParams::icon_height => 44,
                    ViewItemParams::item_caption_dx => 40,
                    ViewItemParams::icon_keep_aspect_ratio => false,
//                    ViewItemParams::icon_sel_dx => -10,
//                    ViewItemParams::item_caption_width => 525,
                    ViewItemParams::item_caption_width => 490,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 15,
                    ViewParams::paint_details => false,
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all',
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -5,
                    ViewItemParams::icon_width => 84,
                    ViewItemParams::icon_height => 44,
                    ViewItemParams::item_caption_dx => 80,
                    ViewItemParams::icon_keep_aspect_ratio => false,
//                    ViewItemParams::icon_sel_dx => -10,
//                    ViewItemParams::item_caption_width => 525,
                    ViewItemParams::item_caption_width => 490,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),


            /*,

            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 4,
                    ViewParams::paint_details => false,
                    ViewParams::sandwich_width => 290,
                    ViewParams::sandwich_height => 160,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    
                    ViewParams::background_path => self::BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                        ViewItemParams::icon_width => 290,
                        ViewItemParams::icon_height => 160,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 4,
                    ViewParams::paint_details => true,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 245,
                    ViewParams::sandwich_height => 140,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::background_path => self::BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.2,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 3,
                    ViewParams::paint_details => true,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 245,
                    ViewParams::sandwich_height => 140,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::background_path => self::BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.25,
                    ViewItemParams::icon_sel_scale_factor => 1.5,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            )*/
        );
    }

    public static function GET_VOD_MOVIE_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 2,
                    ViewParams::paint_details => false,
                    ViewParams::orientation => 'horizontal',
                    ViewParams::sandwich_width => 380,
                    ViewParams::sandwich_height => 240,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_TOP,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::item_caption_wrap_enabled => true,
                    ViewItemParams::item_caption_dy => -40,
                    ViewItemParams::item_caption_sel_dy => -40,
                    ViewItemParams::icon_dy => 7,
                    ViewItemParams::icon_sel_dy => 7,
                ),
                PluginRegularFolderView::not_loaded_view_item_params => array
                (
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                    ViewItemParams::item_detailed_icon_path => 'missing://',
                ),
            ),

        );
    }

    public static function GET_VOD_CATEGORY_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 4,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 245,
                    ViewParams::sandwich_height => 140,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.2,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 3,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 245,
                    ViewParams::sandwich_height => 140,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.25,
                    ViewItemParams::icon_sel_scale_factor => 1.5,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
        );
    }

    public static function GET_PRIVATE_FOLDER_VIEWS_OLD()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 1,
                    ViewParams::num_rows => 8,
                    ViewParams::paint_details => true,
                    ViewParams::content_box_padding_top => 86,
                    ViewParams::content_box_padding_bottom => 170,
                    ViewParams::extra_content_objects =>
                        'label{x=93}{y=30}{text=Подписки:}{color=15}' .
                        'label{x=50}{y=688}{text=Посмотреть состав пакета - нажмите INFO}{color=15}',
//                        'label{x=50}{y=644}{text=Посмотреть состав пакета - нажмите INFO}{color=15}' .
//                        'label{x=50}{y=688}{text=Информация о сервисе - на сайте 24h.tv}{color=15}',
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -7,
                    ViewItemParams::item_caption_width => 1105,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
        );

    }

    public static function GET_PRIVATE_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 1,
                    ViewParams::num_rows => 8,
                    ViewParams::paint_details => true,
                    ViewParams::content_box_padding_top => 86,
                    ViewParams::content_box_padding_bottom => 170,
                    ViewParams::extra_content_objects =>
                        'label{x=93}{y=30}{text=Тарифы:}{color=15}' .
                        'label{x=50}{y=688}{text=Посмотреть состав пакета - нажмите INFO}{color=15}',
//                        'label{x=50}{y=644}{text=Посмотреть состав пакета - нажмите INFO}{color=15}' .
//                        'label{x=50}{y=688}{text=Информация о сервисе - на сайте 24h.tv}{color=15}',
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -7,
                    ViewItemParams::item_caption_width => 1105,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
        );

    }

    public static function GET_ADDPACKETS_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 1,
                    ViewParams::num_rows => 8,
                    ViewParams::paint_details => true,
                    ViewParams::content_box_padding_top => 86,
                    ViewParams::content_box_padding_bottom => 170,
                    ViewParams::extra_content_objects =>
                        'label{x=93}{y=30}{text=Дополнительные пакеты:}{color=15}' .
                        'label{x=50}{y=688}{text=Посмотреть состав пакета - нажмите INFO}{color=15}',
//                        'label{x=50}{y=644}{text=Посмотреть состав пакета - нажмите INFO}{color=15}' .
//                        'label{x=50}{y=688}{text=Информация о сервисе - на сайте 24h.tv}{color=15}',
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -7,
                    ViewItemParams::item_caption_width => 1105,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
        );

    }

    public static function GET_DEVICE_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 1,
                    ViewParams::num_rows => 8,
                    ViewParams::paint_details => true,
                    ViewParams::content_box_padding_top => 150,
                    ViewParams::extra_content_objects =>
                        'label{x=50}{y=30}{text=Превышен лимит устройств на учетную запись!}{color=15}' .
                        'label{x=50}{y=80}{text=Выберите устройство, которое необходимо удалить:}{color=15}' .
                        'label{x=50}{y=730}{text=Текущее устройство заменит удаленное!}{color=15}',
                    ViewParams::background_path => I24HSettings::$BG_PIC,
                    ViewParams::background_width => 1920,
                    ViewParams::background_height => 1080,
                    ViewParams::background_order => 'before_all'
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 20,
                    ViewItemParams::icon_dy => -7,
                    ViewItemParams::item_caption_width => 1105,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array(),
            ),
        );
    }

}

?>
